#pragma once

#include "GameGraphics.h"

class GameImage
{
public:
	GameImage(void);
	~GameImage(void);

public:
	void Create(GameGraphics &g, LPCWSTR image);
	void Destroy();

public:
	void Draw(float x, float y, int alpha = 255);

private:
	IDirect3DTexture9 *m_tex;
	ID3DXSprite *m_d3dSprite;
};